import Flutter
import UIKit

public class SwiftMyIdPlugin: NSObject, FlutterPlugin {

  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "myid", binaryMessenger: registrar.messenger())
    let instance = SwiftMyIdPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
    result("iOS " + UIDevice.current.systemVersion)
  }
}

// @available(iOS 11.0, *)
// public class SwiftFlutterOnfidoPlugin: NSObject, FlutterPlugin {
//   private let onfidoSdk = OnfidoSdk()
//
//   public static func register(with registrar: FlutterPluginRegistrar) {
//     let channel = FlutterMethodChannel(name: "flutter_onfido", binaryMessenger: registrar.messenger())
//     let instance = SwiftFlutterOnfidoPlugin()
//     registrar.addMethodCallDelegate(instance, channel: channel)
//   }
//
//   public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
//     if(call.method.elementsEqual("start")){
//       let config = call.arguments as! NSDictionary
//       onfidoSdk.start(config, result: result)
//     }
//   }
// }
